using System.Text.Json.Serialization;

namespace economy.Models.Price.Domestic.Oil
{
    // 검색결과 변수
    public class Response
    {
        [JsonPropertyName("header")]
        public Header Header { get; set; }

        [JsonPropertyName("body")]
        public Body Body { get; set; }
    }

    public class Header
    {
        [JsonPropertyName("resultCode")]
        public string ResultCode { get; set; }

        [JsonPropertyName("resultMsg")]
        public string ResultMsg { get; set; }
    }

    public class Body
    {
        [JsonPropertyName("numOfRows")]
        public int NumberOfRows { get; set; }

        [JsonPropertyName("pageNo")]
        public int PageNo { get; set; }

        [JsonPropertyName("totalCount")]
        public int TotalCount { get; set; }

        [JsonPropertyName("items")]
        public Items Items { get; set; }
    }

    public class Items
    {
        [JsonPropertyName("item")]
        public List<Item> ItemList { get; set; }
    }

    public class Item
    {
        public int Num { get; set; }

        [JsonPropertyName("basDt")]
        public string BasDt { get; set; } // 기준일자

        [JsonPropertyName("oilCtg")]
        public string OilCtg { get; set; } // 유종구분

        [JsonPropertyName("wtAvgPrcCptn")]
        public string WtAvgPrcCptn { get; set; } // 가중평균가격 경쟁

        [JsonPropertyName("wtAvgPrcDisc")]
        public string WtAvgPrcDisc { get; set; } // 가중평균가격 협의

        [JsonPropertyName("trqu")]
        public string Trqu { get; set; } // 거래량

        [JsonPropertyName("trPrc")]
        public string TrPrc { get; set; } // 거래대금
    }
}
